#include "hardware.h"
#include "vr_library.h"

// Initialise the hardware
void appInitHardware(void) {
	initHardware();
}
// Initialise the software
TICK_COUNT appInitSoftware(TICK_COUNT loopStart){
	VR_Module_init();

	return 0;
}
void go_back (void)

{
sayText("Going Back\n");
act_setSpeed(&motor_left,400);
act_setSpeed(&motor_right,400);

}
				///////////////////////////////

// robot go_forward function declration 
void go_forward (void)

{
sayText("Moving Forward\n");
act_setSpeed(&motor_left,100);
act_setSpeed(&motor_right,100);

}
				/////////////////////////////

// robot go_left function declration 
void go_left (void)

{
sayText("Turning left\n");
act_setSpeed(&motor_left,400);
act_setSpeed(&motor_right,100);
delay_ms(1300);
act_setSpeed(&motor_left,0);
act_setSpeed(&motor_right,0);

}
				/////////////////////////////

// robot go_rightfunction declration 

void go_right(void)

{
sayText("Turning Right\n");
act_setSpeed(&motor_left,100);
act_setSpeed(&motor_right,400);
delay_ms(1300);
act_setSpeed(&motor_left,0);
act_setSpeed(&motor_right,0);

}
				/////////////////////////////

// robot stop function declration 
void robot_stop (void)

{

act_setSpeed(&motor_left,0);
act_setSpeed(&motor_right,0);

}
				/////////////////////////////

// This is the main loop
TICK_COUNT appControl(LOOP_COUNT loopCount, TICK_COUNT loopStart) {

	int8_t voice_command=-2;

	//start voice recognition (note: it times out)
	VR_Module_start_recognition(VR_group);//group B
	
	while(voice_command == -2)
		{
		//rprintf("step2");
		
		voice_command = VR_Module_get_result();
		}

	if(voice_command >= 0)
		{
		rprintf("\nvoice command is: ");

		if(VR_group==1 && voice_command==0)
			{
			rprintf(" THAI");
			VR_group=2;
			}
		else if(VR_group==2 && voice_command==0)
			{
			rprintf(" ENGLISH");
			VR_group=1;
			}
		else if((VR_group==1 && voice_command==1) || (VR_group==2 && voice_command==3))
			{
			//move left 

			rprintf(" LEFT");
			delay_ms(500);
			}
		else if((VR_group==1 && voice_command==2) || (VR_group==2 && voice_command==4))
			{
			rprintf(" RIGHT");
			//move right
			delay_ms(500);
			}
		else if((VR_group==1 && voice_command==3) || (VR_group==2 && voice_command==5))
			{
			rprintf(" FORWARD");
			//move forward
			delay_ms(1500);
			}
		else if(voice_command==4)
			rprintf(" DANCE");
		else if(voice_command==5)
			rprintf(" WAI");
		else if(voice_command==6)
			rprintf(" BOW");
		else if(voice_command==7)
			rprintf(" ARM");
		else if(voice_command==8)
			rprintf(" ATTACK");
		else if(voice_command==9)
			{
			rprintf(" SHUTDOWN");
			// stop
			}
		else if(voice_command==10)
			{
			rprintf(" POWER_UP");
			//wakeup 
			LED_on(&statusLED);
			}
		else if(voice_command==11)
			{
			LED_off(&statusLED);
			rprintf(" LED");
			delay_ms(2000);
			LED_on(&statusLED);
			}
		else if((VR_group==1 && voice_command==12) || (VR_group==2 && voice_command==2))
			{
			// up
			rprintf(" UP");
			}
		else if((VR_group==1 && voice_command==13) || (VR_group==2 && voice_command==1))
			{
			//down
			rprintf(" DOWN");
			}
		else if(voice_command==14)
			{
			//grab movment
			rprintf(" GRAB");
			}
		else if(voice_command==15)
			{
			//release movement
			rprintf(" RELEASE");
			}
		}
	
	
	// -------- Start Text to Speech-------
	// Say an English phrase
	//sayText("Death to all humans");
	// -------- End   Text to Speech-------

	// -------- Start PING sonar-------
	// Read the PING sonar and store the result in sonar.distance.cm
	//distanceRead(sonar);
	
	// The value can be printed using %u eg rprintf("Distance=%u",sonar.distance.cm);
	// or dumped using:
	//rprintf("sonar: ");
	//distanceDump(sonar);
	//rprintfCRLF();
	// -------- End   PING sonar-------

	// -------- Start LED-------
	// The LED can be manipulated using the calls in led.h
	
	// To turn the LED on:-
	//LED_on(&led);
	
	// To turn the LED off:-
	//LED_off(&led);
	// -------- End   LED-------

	// -------- Start Actuators -------
	// To control your.motors/servos then see actuators.h in the manual
	// To retrieve the required speed of motor_left use:
	// DRIVE_SPEED speed=act_getSpeed(motor_left);
	// To set the required speed of motor_left use:
	// act_setSpeed(motor_left,speed);
	// This example will move the motors back and forth using the loopStart time:
	//TICK_COUNT ms = loopStart / 1000;		// Get current time in ms
	//int16_t now = ms % (TICK_COUNT)10000; 	// 10 sec for a full swing
	//if(now >= (int16_t)5000){				// Goes from 0ms...5000ms
	//	now = (int16_t)10000 - now;			// then 5000ms...0ms
	//}
	// Map it into DRIVE_SPEED range
	//DRIVE_SPEED speed = interpolate(now, 0, 5000, DRIVE_SPEED_MIN, DRIVE_SPEED_MAX);
	// Set speed for all motors/servos
	//act_setSpeed(&motor_left,speed);
	//act_setSpeed(&motor_right,speed);
	// -------- End   Actuators -------

	return 0;
}
